#
# spec file for package orbit (Version 0.5.17)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define     idl_version 0.6.8

Name:           orbit
License:        GPL-2.0+
Group:          System/Libraries
Provides:       ORBit 
# bug437293
%ifarch ppc64
Obsoletes:      orbit-64bit
%endif
#
Summary:        A High-Performance CORBA ORB
Version:        0.5.17
Release:        484.1
Url:            http://www.labs.redhat.com/orbit/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/ORBit/ORBit-%{version}.tar.bz2
Source99:       baselibs.conf
Patch:          ORBit-%{version}.dif
Patch1:         ORBit-m4_quote_fix.dif
Patch2:         ORBit-%{version}-strictalias.dif
Patch3:         ORBit-mkinstalldirs.dif
# PATCH-FIX-UPSTREAM ORBit-automake1.11.patch vuntz@novell.com -- (no bug since not actively maintained upstream) Fix build with automake 1.11
Patch4:         ORBit-automake1.11.patch
Patch5:         orbit-autotools.patch
Patch6:         ORBit-0.5.17-tests.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf automake glib-devel indent libtool popt-devel

%description
ORBit is a high-performance CORBA ORB used by the GNOME Project.

It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

You will need to install this package and the related header files,
libraries, and utilities if you want to write programs that use CORBA
technology (package "orbit-devel").



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Philip Dawes <philipd@parallax.co.uk>
    Andrew Veliath  <andrewtv@usa.net>
    Tom Tromey  <tromey@cygnus.com>
    Dick Porter <dick@cymru.net>

%package devel
License:        GPLv2+
Summary:        ORBit Development Environment
Group:          Development/Libraries/C and C++
Obsoletes:      orbitdev
Provides:       ORBit-devel
Provides:       pkgconfig(ORBit) = %{version}
Provides:       pkgconfig(libIDL) = %{idl_version}
# bug437293
%ifarch ppc64
Obsoletes:      orbit-devel-64bit
%endif
#
Requires:       indent
Requires:       %{name} = %{version} glib-devel
PreReq:         %install_info_prereq

%description devel
This package includes the header files, libraries, and utilities
necessary to write programs that use the ORBit CORBA technology.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Philip Dawes <philipd@parallax.co.uk>
    Andrew Veliath  <andrewtv@usa.net>
    Tom Tromey  <tromey@cygnus.com>
    Dick Porter <dick@cymru.net>

%prep
%setup -q -n ORBit-%{version}
%patch
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6

%build
cp /usr/share/gettext/config.rpath popt
autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/popt.mo
rm $RPM_BUILD_ROOT%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/{libORBitCosNaming.la,libIIOP.la,libORBitutil.la}

mkdir -p doc/libIDL
cp libIDL/COPYING libIDL/AUTHORS libIDL/README* libIDL/NEWS \
    libIDL/BUGS libIDL/tstidl.c \
    doc/libIDL/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/libIDL.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libIDL.info.gz

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%doc doc/libIDL
%doc docs
%{_bindir}/*-server
%{_bindir}/ior-decode
%{_bindir}/name-client
%{_bindir}/orbit-ird
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/orbit-idl
%{_bindir}/orbit-config
%{_bindir}/libIDL-config
%{_datadir}/aclocal/*.m4
%{_datadir}/idl/orbit-1.0
%{_includedir}/*
%{_libdir}/*.sh
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/idl
%doc %{_infodir}/libIDL*

%changelog
* Wed Jul 18 2012 sbrabec@suse.cz
- Fix for new autotools.
- Update BuildRequires.
* Sat Dec 19 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Enable parallel build
* Tue Jun 16 2009 vuntz@novell.com
- Add ORBit-automake1.11.patch to fix build with automake 1.11.
* Mon Apr  6 2009 vuntz@novell.com
- Respin ORBit-0.5.17-strictalias.dif that doesn't apply with new
  patch package.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Jan  4 2008 crrodriguez@suse.de
- orbit-devel should require main package
- remove libtool archives with empty dependency_libs
* Tue Jan 23 2007 ro@suse.de
- drop requires for gnome-filesystem
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Oct 16 2006 schwab@suse.de
- Make sure config.rpath is present.
* Thu Aug 17 2006 ro@suse.de
- workaround mkinstalldirs problem
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 22 2005 meissner@suse.de
- use $RPM_OPT_FLAGS
- fixed 1 aliasing problem in the code.
- fixed aliasing problem in the IDL code generator.
  (removed strange integer cast, not sure if correct)
* Mon Nov  8 2004 ro@suse.de
- fix quoting again in ORBit.m4 and libIDL/libIDL.m4.in
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Jan 16 2004 pth@suse.de
- Fix quoting in ORBit.m4, libIDL.m4, libIDL/acinclude.m4
  and configure.in
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sat Jun 14 2003 coolo@suse.de
- package directories
* Wed Jun  4 2003 ro@suse.de
- added unpackaged files to devel package
- removed unpackaged translations from buildroot
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 ke@suse.de
- Use install_info macro [# 23446].
* Mon Nov 18 2002 ro@suse.de
- use AM_GNU_GETTEXT_VERSION with AM_GNU_GETTEXT
* Thu Jun 13 2002 hhetter@suse.de
- updated to version 0.5.17
* Wed May 29 2002 jordi@suse.de
- Update to version 0.5.16. Bugfix release.
* Thu Apr 25 2002 coolo@suse.de
- lib64 support
* Fri Apr  5 2002 ro@suse.de
- build using autoreconf
* Thu Jan 24 2002 hhetter@suse.de
- updated to version 0.5.13 ( GNOME 1.4.1 RC1)
* Thu Dec  6 2001 schwab@suse.de
- Include <stdlib.h> in the generated code (for alloca).
- Update configure scripts in subdirectories.
* Wed Nov 14 2001 hhetter@suse.de
- updated to version 0.5.12
  * src/orb/allocators.c (ORBit_free): fix hideous flow
    control and, release the typecode once here.
    (ORBit_free_via_TypeCode): don't release the typecode
    here - we might be in a sequence or somesuch. Remove
    slow bloat of continualy re-referencing types. Make the
    code look pleasant.
  * test/everything/client.c (testAnyStrSeq): impl.
    (main): hook it up.
  * test/everything/anyServer.c (AnyServer_opAnyStrSeq): impl.
  * src/orb/orbit_typecode.c (ORBit_TypeCode_release):
    zap the memory so we can detect badness more easily.
* Mon Aug 13 2001 ro@suse.de
- use DESTDIR in install section
* Mon Jun  4 2001 egger@suse.de
- Updated to version 0.5.8.
* Fri Feb 16 2001 hhetter@suse.de
- update to 0.5.7
* Fri Jan  5 2001 kukuk@suse.de
- Fix requires: glibdev -> glib-devel
* Sun Dec 31 2000 egger@suse.de
- Cleaned up specfile even more.
- Recompressed files with bzip2.
- Updated to version 0.5.6. Bugfix release.
* Sat Dec  9 2000 egger@suse.de
- Cleaned up specfile and added missing file.
* Sat Dec  9 2000 egger@suse.de
- Updated to version 0.5.5.
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 30 2000 egger@suse.de
- Updated to version 0.5.4.
- Made package ready for long packagenames.
* Tue Aug 29 2000 egger@suse.de
- Updated to version 0.5.3.
- Renamed .spec file to orbit.spec.
* Fri Apr  7 2000 bk@suse.de
- added suse update config macro
* Wed Mar 15 2000 ke@suse.de
- update to version 0.5.1.
* Thu Mar  2 2000 ke@suse.de
- spec file cleanup:
- use rpm macros (version, _mandir, etc.).
- add group tag.
- ./configure -> %%build
* Tue Oct 12 1999 ke@suse.de
- update: 0.5.0.
- fix requires.
* Tue Oct  5 1999 ke@suse.de
- fix check macro invocation.
* Tue Sep 21 1999 ke@suse.de
- update: 0.4.95.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 ke@suse.de
- update: 0.4.93.
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Jul  9 1999 ke@suse.de
- update: 0.4.92.
* Mon Jun 14 1999 ke@suse.de
- update: version 0.4.90.
* Sat Apr 10 1999 ke@suse.de
- update: version 0.4.3.
* Sat Mar 27 1999 ke@suse.de
- update: version 0.4.2.
* Fri Feb 26 1999 ke@suse.de
- update: version 0.4.0.
- filelist improvements.
* Tue Feb 16 1999 ke@suse.de
- update: version 0.3.98.
* Sun Feb 14 1999 ke@suse.de
- update: version 0.3.97.
* Tue Feb  9 1999 ke@suse.de
- update: version 0.3.96.
* Sat Jan  9 1999 ke@suse.de
- update: version 0.3.91.
- sync file list with redhat's spec file.
- call configure in %%prep section.
- provide a useful `sysconfdir'.
* Sun Nov 29 1998 bs@suse.de
- call Check to compress info page.
* Wed Nov 18 1998 ro@suse.de
- adapted neededforbuild
* Wed Sep 30 1998 ke@suse.de
- #neededforbuild indent.
* Sun Sep 27 1998 ke@suse.de
- initial package: version 0.3.0.
